Overview | Package | Class | Tree | Deprecated | Index | Help
| Qizx/Open v0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.xfra.qizxopen.util
Class NSTable

    java.lang.Object
      |
      +--net.xfra.qizxopen.util.NSTable

public class NSTable
extends java.lang.Object

Management of a local table of qualified names (for documents or collections).

Has no knowledge of prefixes.

Constructor Summary
`NSTable()`

Method Summary
`int` | `addName(java.lang.String uri, java.lang.String localName)` Inserts a name without check (for loading).
`void` | `clear()`
`int` | `enter(QName name)`
`int` | `enter(java.lang.String uri, java.lang.String localName)` Searches a name and returns its index in the table.
`int` | `find(QName name)`
`int` | `find(java.lang.String uri, java.lang.String localName)`
`QName` | `getName(int rank)` Gets the unique name associated with an index.
`Namespace[]` | `getNamespaces()`
`int` | `size()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NSTable

    public NSTable()

Method Detail

### enter

    public int enter(java.lang.String uri,
                     java.lang.String localName)

  Searches a name and returns its index in the table. If the name is not found, it is inserted.

  Parameters:
    `uri` -
    `localName` -

### enter

    public int enter(QName name)

### find

    public int find(java.lang.String uri,
                    java.lang.String localName)

### find

    public int find(QName name)

### addName

    public int addName(java.lang.String uri,
                       java.lang.String localName)

  Inserts a name without check (for loading).

### getName

    public QName getName(int rank)

  Gets the unique name associated with an index.

### size

    public int size()

### clear

    public void clear()

### getNamespaces

    public Namespace[] getNamespaces()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright Xavier FRANC 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD